/* © 2024 Appstock */

/*   Copyright 2018-2021 Prebid.org, Inc.

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 */

/*
 CHANGE NOTICE: The file content was modified to rebrand the work, adapt the product for the new use case, and change the distribution license.
 The patch to the original code is available in the Appstock repository.
 All changes after applying the patch are made under the new license and copyrights mentioned at the beginning of this file.
*/

#import <Foundation/Foundation.h>

/**
 Provides info about received ad.
 */
NS_ASSUME_NONNULL_BEGIN
@interface STKAdDetails : NSObject

/**
 Raw data returned for the ad request. 
 */
@property (nonatomic, copy, nullable) NSString *rawResponse;

/**
 Unique identifier of the ad, that can be used for managing and reporting ad quality issues.
 */
@property (nonatomic, copy, nullable) NSString *transactionId;

- (instancetype)init NS_UNAVAILABLE;
- (instancetype)initWithRawResponse:(NSString *)rawResponse
                              transactionId:(NSString *)transactionId NS_DESIGNATED_INITIALIZER;

@end
NS_ASSUME_NONNULL_END
